> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maildiver.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain

> **Endpoint:** `v1/domains/{id}`

Retrieve details of a specific domain.




## OpenAPI

````yaml api-reference/openapi.yml get /domains/{id}
openapi: 3.1.0
info:
  title: Send Email API
  description: >
    Send transactional emails through MailDiver.


    ### Base URL

    All API endpoints are prefixed with `api.` subdomain:

    ```

    https://api.maildiver.com

    ```


    For the self-hosted version, if your domain is `example.com`:

    ```

    https://api.example.com

    ```


    ### Endpoint

    ```

    v1/emails

    ```


    ### Authentication

    All API requests require authentication using your API key in the
    Authorization header:

    ```

    Authorization: Bearer your-api-key

    ```
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://api.maildiver.com/v1
    description: Production server
    variables:
      domain:
        default: yourdomain.com
        description: Your domain (without the api. prefix)
security:
  - bearerAuth: []
paths:
  /domains/{id}:
    get:
      tags:
        - Domain
      summary: Get domain
      description: |
        **Endpoint:** `v1/domains/{id}`

        Retrieve details of a specific domain.
      operationId: getDomain
      parameters:
        - name: id
          in: path
          required: true
          description: Unique identifier of the domain
          schema:
            type: string
          example: 0195a927-b706-725a-94dd-372770d920f2
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                success:
                  summary: Success response
                  value:
                    id: 0195a927-b706-725a-94dd-372770d920f2
                    name: onboarding.maildiver.com
                    verified_for_sending_status: true
                    verification_info:
                      last_checked_timestamp: '2025-03-25T11:16:20.217Z'
                      last_success_timestamp: '2025-03-25T11:16:20.499Z'
                      error_type: HOST_NOT_FOUND
                      soa_record: {}
                    public_key: >-
                      MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC7Zdux3HKFr8FkO6S0E5PKtY2KaAk8iqwKmw3ak9KwvwYExYLmguKGCqQb0jHshR/z1i9DEcSV+3rKoLL3R3Rn7A+Ua0zfJoFwOoOVwSGe9CgZ4geAzuSfo1wNSmaJzbtYZ1dOqSV0sbp8lKCeiLO5eDRIBVMcbULcVJA+/dAQfQIDAQAB
                    status: SUCCESS
                    dns_records:
                      - name: dkim._domainkey.onboarding
                        for: DKIM
                        type: TXT
                        value: >-
                          p=MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQC7Zdux3HKFr8FkO6S0E5PKtY2KaAk8iqwKmw3ak9KwvwYExYLmguKGCqQb0jHshR/z1i9DEcSV+3rKoLL3R3Rn7A+Ua0zfJoFwOoOVwSGe9CgZ4geAzuSfo1wNSmaJzbtYZ1dOqSV0sbp8lKCeiLO5eDRIBVMcbULcVJA+/dAQfQIDAQAB
                        required: true
                      - name: send.onboarding
                        for: MAIL FROM domain
                        type: MX
                        priority: 10
                        value: feedback-smtp.eu-central-1.amazonses.com
                        required: true
                      - name: send.onboarding
                        for: MAIL FROM domain
                        type: TXT
                        value: '"v=spf1 include:amazonses.com ~all"'
                        required: true
                      - name: _dmarc.onboarding
                        for: DMARC (highly recommended)
                        type: TXT
                        value: v=DMARC1; p=none;
                        required: false
                    created: 1742299707142
                    is_warmed_up: false
                    warmed_up_at: null
                    created_by:
                      email: admin@company.com
                      first_name: null
                      last_name: null
                      profile_picture: https://cdn.company.com/profiles/admin-avatar.jpg
                      type: user
                    open_tracking_enabled: false
                    click_tracking_enabled: true
        '403':
          description: Forbidden (API key is missing or invalid)
          content:
            application/json:
              examples:
                invalidKey:
                  summary: Invalid API key error
                  value:
                    message: Invalid API key
                    code: invalid_api_key
                invalidHeader:
                  summary: Invalid authorization header error
                  value:
                    message: Invalid authorization header
                    code: invalid_authorization_header
        '404':
          description: Domain not found
          content:
            application/json:
              examples:
                notFound:
                  summary: Domain not found error
                  value:
                    message: Domain not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key with format "Bearer {your-api-key}"

````